%define name	perl-OpenCA-Session
%define version	0.9.7
%define release	2mdk

Summary:	OpenCA Sessions
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License:	LGPL
Group: 		Development/Perl
URL:		http://www.cpan.org
Source:		OpenCA-Session-%{version}.tar.bz2
#Requires:	perl-OpenCA-XML-Cache
#Requires:	perl-CGI-Session
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module handle the sessions of OpenCA.

%prep

%setup -q -n OpenCA-Session-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE MANIFEST README
%{perl_vendorlib}/OpenCA/Session.pm
%{perl_vendorlib}/OpenCA/Session.pod
%{_mandir}/*/*

%changelog
* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-2mdk
- rebuild

* Sat Oct 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-2mdk
- new tarball, same version

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.5-2mdk
- built for cooker

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.4-1mdk
- initial package
